Apr-Util-1.6.0

Apr Util の概要

The Apache Portable Runtime Utility Library provides a predictable and consistent interface to underlying client library interfaces. This application programming interface assures predictable if not identical behaviour regardless of which libraries are available on a given platform.

本パッケージは LFS-8.1 において正しくビルドでき動作することが確認されています。

パッケージ情報

Apr Util の依存パッケージ

必須

Apr-1.6.2

推奨

任意

Berkeley DB-6.2.32, FreeTDS, MariaDB-10.2.7 または MySQL, OpenLDAP-2.4.45, PostgreSQL-9.6.4, SQLite-3.20.0, unixODBC-2.3.4

ユーザー情報: http://wiki.linuxfromscratch.org/blfs/wiki/apr-util

Apr Util のインストール

以下のコマンドを実行して Apr Util をビルドします。

./configure --prefix=/usr       \
            --with-apr=/usr     \
            --with-gdbm=/usr    \
            --with-openssl=/usr \
            --with-crypto &&
make

ビルド結果をテストする場合は make test を実行します。

root ユーザーになって以下を実行します。

make install

コマンド説明

--with-gdbm=/usr: このスイッチはプラグイン apr_dbm_gdbm-1.so を有効にします。

--with-openssl=/usr --with-crypto: このスイッチにより、プラグイン apr_crypto_openssl-1.so を有効にします。 OpenSSL-1.1.0f をインストールしていない場合はこれを取り除いてください。

--with-berkeley-db=/usr: Berkeley DB-6.2.32 をインストールしている場合、このスイッチによりプラグイン apr_dbm_db-1.so をビルドすることを指示します。

--with-ldap: OpenLDAP-2.4.45 をインストールしている場合、このスイッチによりプラグイン apr_ldap.so をビルドすることを指示します。

パッケージ構成

インストールプログラム: apu-1-config
インストールライブラリ: libaprutil-1.so
インストールディレクトリ: /usr/lib/apr-util-1

概略説明

apu-1-config

is an APR-util script designed to allow easy command line access to APR-util configuration parameters.

libaprutil-1.so

contains functions that provide a predictable and consistent interface to underlying client library interfaces.

最終更新日: 2017-08-19 04:42:43 +0900